local R = {}		
local timerlowlights = 0

local function updateGFX(ri)
	if electrics.values["lowhighbeam"] == 1 then
		timerlowlights = timerlowlights + ri
			if timerlowlights >= 0.8 then
				electrics.values["kingmods_slowmode_lowbeam"] = 1
			end
		elseif electrics.values["lowhighbeam"] == 0 then
		timerlowlights = 0
			electrics.values["kingmods_slowmode_lowbeam"] = 0
		end
end

-- public interface
R.onInit = onInit
R.onReset = onReset
R.updateGFX = updateGFX

return R